org.richfaces.resource.optimizer.ordering

## Class PartialOrderToCompleteOrder.CompleteOrdering

- java.lang.Object
- - com.google.common.collect.Ordering<T>
  - - org.richfaces.resource.optimizer.ordering.PartialOrderToCompleteOrder.CompleteOrdering

- All Implemented Interfaces:
    Comparator<T>
  Enclosing class:
    PartialOrderToCompleteOrder<T>

      public class PartialOrderToCompleteOrder.CompleteOrdering
      extends com.google.common.collect.Ordering<T>

  Class representing result of deriving complete ordering from stored partial orderings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartialOrderToCompleteOrder.CompleteOrdering()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(T left, T right)`
    `<E extends T> List<E>` | `sortedCopy(Iterable<E> iterable)` Returns new iterable sorted according to this complete ordering.

    - ### Methods inherited from class com.google.common.collect.Ordering

      `allEqual, arbitrary, binarySearch, compound, compound, explicit, explicit, from, from, greatestOf, immutableSortedCopy, isOrdered, isStrictlyOrdered, leastOf, lexicographical, max, max, max, max, min, min, min, min, natural, nullsFirst, nullsLast, onResultOf, reverse, usingToString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### PartialOrderToCompleteOrder.CompleteOrdering

          public PartialOrderToCompleteOrder.CompleteOrdering()

  - ### Method Detail

    - #### compare

          public int compare(T left,
                    T right)

      Specified by:
        `compare` in interface `Comparator<T>`
      Specified by:
        `compare` in class `com.google.common.collect.Ordering<T>`

    - #### sortedCopy

          public <E extends T> List<E> sortedCopy(Iterable<E> iterable)

      Returns new iterable sorted according to this complete ordering.

      All items which are unknown in this ordering are stored on the end of returned collection in the same order like in iterable.

      Overrides:
        `sortedCopy` in class `com.google.common.collect.Ordering<T>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.